NAV
shell

Introduction

The API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

To use the API in test mode, use your assigned test server. If you do not have a known test server then send us an email at support@spp.cloud

Authentication

To authorize, use this code:

# With shell, you can just pass the correct header with each request
curl https://{server}/api/3/auth/ -X POST -H "Authorization: Basic {api-key}"

Replace {api-key} with your API key & {server} with your server. The above command returns JSON structured like this:

{
  "access_token": "{access-token}",
  "refresh_token": "{refresh-token}",
  "expires": 300
}

API keys are required to access the API. You can register a new API key at your portal, admin access required to register new API keys.

Authentication is performed by passing API key as header to /auth/

Authorization: Basic {API-key}

Response contains an access token that needs to be added to header when calling API endpoints.

Lists

Each list request in the system can be paginated, sorted, and filtered using QueryString parameters.

Pagination

Each list can be paginated using the two parameters offset and limit.

Get all results from index 10 to 20

curl "/api/3/accounts/?offset=11&limit=20" \
  -H "Authorization: Bearer {access-token}"

The parameter offset indicates where, in the result-set, to begin return items. The parameter limit indicates the upper limit of items, that should be returned, in one request.

Sorting

Sort by name in ascending order

curl "/api/3/accounts/?sort=name" \
  -H "Authorization: Bearer {access-token}"

Sort by name in ascending order and by postal code in descending order

curl "/api/3/accounts/?sort=name,-postal" \
  -H "Authorization: Bearer {access-token}"

Sorting is a powerful way to get the most relevant data based on a sort-order expression.For instance, how to get the highest valued, or how to find an Accounts based on its name? Each property of a result-set is a potential candidate for sorting. There are two prefixes that determines the sort-order, "+" and "-".The "+" and "-" represents ascend and descend. It is also possible to combine multiple sorting-expression with , in order to refine the result even further.

Filtering

The system as a built-in filtering protocol, that can be used to filter list result-sets into smaller pieces.

Filtering subscriptions by end_date range using operator -and-

curl "/api/3/subscriptions/?filter=$gteq(end_date,'2026-05-01')-and-$lteq(end_date,'2026-05-31')" \
  -H "Authorization: Bearer {access-token}"

There are two kind of operators: -and- and -or-.

Filter all Accounts containing "customer" in their name

curl "/api/3/accounts/?filter=$like(name,'%customer%')" \
  -H "Authorization: Bearer {access-token}"

Several helper-functions are provided in order to make it easier to drilldown a result.

Filter all Subscriptions belonging to the specified contract number

curl "/api/3/subscriptions/?filter=$eq(contract_number,'110003114000')" \
  -H "Authorization: Bearer {access-token}"
Function Description
$date_add(date,amount,unit) Adds amount of unit to date
$date_now() Returns current date
$eq(prop,value) Test a property against a value exactly
$gt(prop,value) Test a property against greater-then
$gteq(prop,value) Test a property against greater-then or equal to
$like(prop,value) Test a property against a value likely
$lt(prop,value) Test a property against less-then
$in(prop,value) Test an array property against a value
$lteq(prop,value) Test a property against less-than or equal to
$me() Returns the credentials of the connection
$neq(prop,value) Test a property against a value not equal to

Accounts

Endpoints

GET /api/3/accounts/
GET /api/3/accounts/:id/
PATCH /api/3/accounts/:id/
GET /api/3/accounts/-dump/

Account represents Autodesk Accounts, companies with a direct or indirect relation to Autodesk. This includes End Customer, VAR, VAD, Parent. CSN is assigned by Autodesk and it is a unique identifier. Accounts are created by Autodesk, usually as result of an order.

The Account Object

Attribute Type Description
id string Unique Identifier same as csn Autodesk CSN
object string Object name account
csn string Autodesk CSN
name string Company Name
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
account_type string Account Type
active string Current Active Status
address_line1 string Address row 1
address_line2 string Address row 2
address_line3 string Address row 3
autodesk_main_contact_email string Autodesk represenative email on account
autodesk_main_contact_name string Autodesk represenative name on account
buying_readiness_score number Autodesk predictive model of customer probability to make additional purchase within 90 days.
city string City address
country string Country address
country_code string 2-Letter Country Code
county string County address
geo string Autodesk GEO Market
industry string
industry_group string
industry_segment string
industry_sub_segment string
language string Operating language
local_name string Native Company Name
metadata object Metadata object
parent_csn string Parent of account Autodesk CSN
parent_name string Name of Parent
phone_number string Autodesk registered phone number
postal string Postal number/ zip code - address
reseller_site_id string Reseller site id
reseller_site_name string Reseller site name
sales_region string Autodesk Sales Region
segment string Autodesk Account Segment
state_province string State / Province - address
status string Autodesk assigned Account Status
classification string Account classification
line_of_credit bool Whether account has line of credit
state_province_code string State / Province code
tax_id string Tax identification number
valid_address bool Whether the address is valid
website string Website of customer
last_updated string Date Time when object was last changed.

List Accounts

List Accounts

curl "https://{server}/api/3/accounts/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "account_admin_email": "jon.doe@reseller.com",
            "account_admin_name": "John Doe",
            "account_manager_email": null,
            "account_manager_name": null,
            "account_type": "END_CUSTOMER",
            "active": "ACTIVE",
            "address_line1": "Street 35",
            "address_line2": null,
            "address_line3": null,
            "autodesk_main_contact_email": null,
            "autodesk_main_contact_name": null,
            "buying_readiness_score": 0,
            "city": "City",
            "country": "Finland",
            "country_code": "FI",
            "county": null,
            "csn": "5100196200",
            "geo": "EMEA",
            "id": "5100196200",
            "industry": null,
            "industry_group": "MFG",
            "industry_segment": "Industrial Machinery",
            "industry_sub_segment": "Machine Tools",
            "language": "English",
            "last_updated": "2022-09-06T17:14:51.339Z",
            "local_name": null,
            "metadata": {
                "account_seats": 150,
                "account_arr": {
                    "eur": 150000,
                }
            },
            "name": "Company Name",
            "object": "account",
            "parent_csn": "5133241300",
            "parent_name": "Group",
            "phone_number": "+46703488464",
            "postal": "12345",
            "reseller_site_id": "55555",
            "reseller_site_name": "Reseller Site",
            "sales_region": "NORTH_EUROPE",
            "segment": "MIDMARKET",
            "state_province": "STATE",
            "status": "ACTIVE",
            "website": "www.website.com"
        }
    ]
}

This endpoint retrieves all accounts.

HTTP Request

GET /api/3/accounts/

Query Parameters

Parameter Default Description
offset 0 After filter and sort, how many records should be skipped
limit 25 After filter, sort and offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrive an Account

Get an account based on ID

curl "https://{server}/api/3/accounts/5100196200/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "account_admin_email": "jon.doe@reseller.com",
    "account_admin_name": "John Doe",
    "account_manager_email": null,
    "account_manager_name": null,
    "account_type": "END_CUSTOMER",
    "active": "ACTIVE",
    "address_line1": "Street 35",
    "address_line2": null,
    "address_line3": null,
    "autodesk_main_contact_email": null,
    "autodesk_main_contact_name": null,
    "buying_readiness_score": 0,
    "city": "City",
    "country": "Finland",
    "country_code": "FI",
    "county": null,
    "csn": "5100196200",
    "geo": "EMEA",
    "id": "5100196200",
    "industry": null,
    "industry_group": "MFG",
    "industry_segment": "Industrial Machinery",
    "industry_sub_segment": "Machine Tools",
    "language": "English",
    "last_updated": "2022-09-06T17:14:51.339Z",
    "local_name": null,
    "metadata": {
        "account_seats": 150,
        "account_arr": {
            "eur": 150000,
        }
    },
    "name": "Company Name",
    "object": "account",
    "parent_csn": "5133241300",
    "parent_name": "Group",
    "phone_number": "+46703488464",
    "postal": "12345",
    "reseller_site_id": "55555",
    "reseller_site_name": "Reseller Site",
    "sales_region": "NORTH_EUROPE",
    "segment": "MIDMARKET",
    "state_province": "STATE",
    "status": "ACTIVE",
    "website": "www.website.com"
}

This endpoint retrieves a specific account.

HTTP Request

GET /api/3/accounts/:id/

URL Parameters

Parameter Description
id The ID of the account to retrieve

Update an Account

account_admin_email, account_manager_email and reseller_site_id can be patched onto Account. From account these values are inherited to Subscription, Opportunity and Team

Patch an Account

curl "https://{server}/api/3/accounts/5100196200/" \
  -X PATCH
  -H "Authorization: Bearer {access-token}"
  -H "Content-Type: application/json"
  -d '{"reseller_site_id":"50123", "account_admin_email":"admin@var.com", "account_manager_email":"manager@var.com"}'

The above command returns JSON structured like this:

{
    "status": "ok"
}

This endpoint updates a specific account and child objects

HTTP Request

PATCH /api/3/accounts/:id/

URL Parameters

Parameter Description
account_admin_email Must be a registered user
account_manager_email Must be a registered user
reseller_site_id Must be valid reseller site id from your solution setup

Download All Accounts

Get all Accounts as a raw list

curl "https://{server}/api/3/accounts/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/accounts/-dump/

Contacts

Endpoints

GET /api/3/contacts/
GET /api/3/contacts/:id/
GET /api/3/contacts/-dump/

Contact represents Contract manager & Team Admin at End Customer.

The Contacts Object

Attribute Type Description
id string Unique Identifier - Email address
email string Email address
object string Object name contact
active string Contacts current Active Status
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
address_line1 string Address row 1
address_line2 string Address row 2
address_line3 string Address row 3
city string City address
country string Country address
customers array Array of Contact related customers
first_name string First Name
last_name string Last Name
metadata object Metadata object
name string Full Name
phone string Autodesk registered phone number
portal_do_not_call boolean Call preference
portal_do_not_email boolean Email preference
portal_do_not_mail boolean Mail preference
portal_registration boolean Autodesk portal registration status
postal_code string Postal number/ zip code - address
role string Contact role
roles string All Contact Role
state_province string State / Province - address
customer_csn string Primary End Customer CSN
customer_name string Primary End Customer Name
language string Language preference
last_quoted string Date when contact was last quoted
next_end_date string Next subscription end date
status string Autodesk Contact Status
teams_count integer Number of teams associated with contact
last_updated string Date Time when object was last changed
Attribute Type Description
csn string End Customers CSN
name string End Customers Name

List Contacts

List Contacts

curl "https://{server}/api/3/contacts/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "active": "ACTIVE",
            "address_line1": "Storgatan 11",
            "address_line2": null,
            "address_line3": null,
            "city": "Stockholm",
            "country": "Sweden",
            "customers": [{
                "csn": "5155046048",
                "name": "Customer AB"
            }],
            "email": "contact@email.com",
            "first_name": "John",
            "last_name": "Doe",
            "last_updated": "2022-09-07T08:34:12.083Z",
            "metadata": {
                "account_seats": 1,
                "account_arr": {
                    "sek": 5400,
                    "nok": 5300,
                    "eur": 420,
                    "dkk": 3700
                }
            },
            "name": "John Doe",
            "phone": "+0256468",
            "portal_do_not_call": false,
            "portal_do_not_email": false,
            "portal_do_not_mail": true,
            "portal_registration": "ACTIVE",
            "postal_code": "112 01",
            "role": "Primary Team Admin",
            "roles": "PRIMARY_TEAM_ADMIN_CONTRACT_MANAGER",
            "state_province": "Stockholm",
            "status": "ACTIVE"
        }
    ]
}

This endpoint retrieves all contacts.

HTTP Request

GET /api/3/contacts/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrive a Contact

Get specific Contact with id contact@memail.com

curl "https://{server}/api/3/contacts/contact@memail.com/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "active": "ACTIVE",
    "address_line1": "Storgatan 11",
    "address_line2": null,
    "address_line3": null,
    "city": "Stockholm",
    "country": "Sweden",
    "customers": [{
        "csn": "5155046048",
        "name": "Customer AB"
    }],
    "email": "contact@email.com",
    "first_name": "John",
    "last_name": "Doe",
    "last_updated": "2022-09-07T08:34:12.083Z",
    "metadata": {
        "account_seats": 1,
        "account_arr": {
            "sek": 5400,
            "nok": 5300,
            "eur": 420,
            "dkk": 3700
        }
    },
    "name": "John Doe",
    "phone": "+0256468",
    "portal_do_not_call": false,
    "portal_do_not_email": false,
    "portal_do_not_mail": true,
    "portal_registration": "ACTIVE",
    "postal_code": "112 01",
    "role": "Primary Team Admin",
    "roles": "PRIMARY_TEAM_ADMIN_CONTRACT_MANAGER",
    "state_province": "Stockholm",
    "status": "ACTIVE"
}

This endpoint retrieves a specific contact.

HTTP Request

GET /api/3/contacts/:id/

URL Parameters

Parameter Description
id The ID of the contact to retrieve

Download All Contacts

Get all Contacts as a raw list

curl "https://{server}/api/3/contacts/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/contacts/-dump/

Opportunities

Opportunities are automatically created by the Autodesk system 90 days prior to the asset end date. One opportunity per term and month, are being created. It is worth noting that an opportunity can be regenerated and updated with a new opportunity_number. This hold true also for partial renewals where the remaining part of the original opportunity is assigned a new opportunity number.

Endpoints

GET /api/3/opportunities/
GET /api/3/opportunities/:id/
GET /api/3/opportunities/-dump/

The Opportunity Object

Attribute Type Description
id string Unique identifier, same as opportunity_number
object string Object name opportunity
opportunity_number string Unique identifier for this Opportunity
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
account_segment string Account Segment of End Customer
autodesk_account_owner string obsolete Always null
contact_email string Contract Manager contact email
contact_first_name string Contract Manager First Name
contact_last_name string Contract Manager Last Name
contact_phone string Contract Manager Phone Number
contract_number string Contract Number that this Opportunity belongs to
contract_renewal_counter integer The number of times the contract was renewed
contract_term integer Length of contract in months
contract_type string Contract Type
customer_country string End Customers country name
customer_csn string End Customers Account CSN
customer_name string End Customers name
distributor_csn string Which Distributor that sold this Opportunity
distributor_name string Name of Distributor Account
business_model string Business model (e.g. NXM, TRANSITION)
customer_phone string End Customer phone number
ews_risk_band string Shows successful onboarding or time-to-value of purchased subscriptions
health_score decimal Opportunity health score (0-1)
items array Array of Opportunity Items, contains subscriptions
last_updated string Date Time when object was last changed.
parent_csn string End Customers Parent Account CSN
parent_name string End Customers Parent Account Name
purchaser_email string Email of Purchaser
purchaser_first_name string First name of Purchaser
purchaser_last_name string Last name of Purchaser
purchaser_phone string Phone of Purchaser
pur_price object Purchase Price object
quote_status string Status of associated quote (e.g. NOT_QUOTED)
reseller_csn string Reseller Account CSN
reseller_name string Reseller account name
reseller_site_id string Reseller sub site id
reseller_site_name string Reseller sub site name
sales_status string Opportunity Sales Status
srp_price object Value of SRP, Price object
subscription_end_date string Subscription end date
total_quantity integer Total number of items
total_seats integer Total number of seats

Opportunity Items

Opportunity items are subscriptions

Attribute Type Description
action string Item action (e.g. RENEWAL)
serial_number string Serial Number of the Subscription that this Opportunity Item belongs to
subscription_id string Autodesk Subscription ID
offering_id string Autodesk Offering ID
offering_code string Autodesk Offering Code
description string Description of Renewal Article
deployment string Subscription Deployment
access_model string Access model (e.g. SINGLE_USER)
connectivity string Connectivity mode (e.g. ONLINE)
service_plan string Service plan type (e.g. STANDARD)
intended_usage string Intended usage (e.g. COMMERCIAL)
renewal_sku string Renewal Article
product_line_code string Autodesk Product Line Code
short_product_line_desc string Description of Product Line
team_id string Autodesk Team ID
team_name string Name of Team
nuture_reseller_flag boolean Nurture Reseller Flag
nurture_reseller string Nurture Reseller
quantity integer Quantity
seats integer Number of seats
pack_size integer Number of seats per quantity
term integer Subscription term in months
start_date string Item start date
end_date string Item end date
srp_price object SRP, Price object
pur_price object Purchase Price object
total_srp_price object Total SRP, Price object
total_pur_price object Total Purchase Price object
renewal_discount decimal Renewal discount percentage
special_program_code string Special program code
auto_renew string Auto-renewal setting (ON, OFF, NA)

List Opportunities

List all Opportunities

curl "https://{server}/api/3/opportunities/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [{
        "account_admin_email": "admin@email.com",
        "account_admin_name": "Admin Name",
        "account_manager_email": "manager@email.com",
        "account_manager_name": "Manager Name",
        "account_segment": "TERRITORY",
        "autodesk_account_owner": null,
        "contact_email": "contact@email.com",
        "contact_first_name": "First",
        "contact_last_name": "Last",
        "contact_phone": "+734537537327",
        "contract_number": "175280218630",
        "contract_renewal_counter": 1,
        "contract_term": 12,
        "contract_type": "SUBSCRIPTION",
        "customer_country": "Sweden",
        "customer_csn": "5100067389",
        "customer_name": "Company AB",
        "distributor_csn": "5070267085",
        "distributor_name": "Future Group Oy",
        "ews_risk_band": "MEDIUM",
        "items": [{
            "deployment": "SINGLE_USER",
            "renewal_sku": "829I1-001355-L890",
            "description": "Revit Single",
            "nuture_reseller_flag": false,
            "nurture_reseller": "NURTURE",
            "quantity": 1,
            "seats": 1,
            "serial_number": "876-48282964",
            "srp_price": {
                "dkk": 20800,
                "eur": 2515,
                "nok": 31500,
                "sek": 31200
            },
            "pur_price": {
                "eur": 2464.7
            },
            "pack_size": 1,
            "total_srp_price": {
                "dkk": 20800,
                "eur": 2515,
                "nok": 31500,
                "sek": 31200
            },
            "total_pur_price": {
                "eur": 2464.7
            }
        }],
        "last_updated": "2022-09-06T20:05:56.525Z",
        "opportunity_number": "A-97090247",
        "parent_csn": "5100104864",
        "parent_name": ".TEAM ABJ S. R. O.",
        "pur_price": {
            "eur": 2464.7
        },
        "reseller_csn": "5100067385",
        "reseller_name": "Reseller AB",
        "reseller_site_id": "11111",
        "reseller_site_name": "Site AB",
        "sales_status": "NOT_CONTACTED",
        "srp_price": {
            "dkk": 20800,
            "eur": 2515,
            "nok": 31500,
            "sek": 31200
        },
        "subscription_end_date": "2022-09-27",
        "total_quantity": 1,
        "total_seats": 1
    }]
}

This endpoint retrieves all opportunities.

HTTP Request

GET /api/3/opportunities/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned
sort - Specify an optional sorting
filter - Specify an optional filter

Retrive an Opportunity

Get specific Opportunity with id A-97090247

curl "https://{server}/api/3/opportunities/A-97090247/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "account_admin_email": "admin@email.com",
    "account_admin_name": "Admin Name",
    "account_manager_email": "manager@email.com",
    "account_manager_name": "Manager Name",
    "account_segment": "TERRITORY",
    "autodesk_account_owner": null,
    "contact_email": "contact@email.com",
    "contact_first_name": "First",
    "contact_last_name": "Last",
    "contact_phone": "+734537537327",
    "contract_number": "175280218630",
    "contract_renewal_counter": 1,
    "contract_term": 12,
    "contract_type": "SUBSCRIPTION",
    "customer_country": "Sweden",
    "customer_csn": "5100067389",
    "customer_name": "Company AB",
    "distributor_csn": "5070267085",
    "distributor_name": "Future Group Oy",
    "ews_risk_band": "MEDIUM",
    "items": [{
        "deployment": "SINGLE_USER",
        "renewal_sku": "829I1-001355-L890",
        "description": "Revit Single",
        "nuture_reseller_flag": false,
        "nurture_reseller": "NURTURE",
        "quantity": 1,
        "seats": 1,
        "serial_number": "876-48282964",
        "srp_price": {
            "dkk": 20800,
            "eur": 2515,
            "nok": 31500,
            "sek": 31200
        },
        "pur_price": {
            "eur": 2464.7
        },
        "pack_size": 1,
        "total_srp_price": {
            "dkk": 20800,
            "eur": 2515,
            "nok": 31500,
            "sek": 31200
        },
        "total_pur_price": {
            "eur": 2464.7
        }
    }],
    "last_updated": "2022-09-06T20:05:56.525Z",
    "opportunity_number": "A-97090247",
    "parent_csn": "5100104864",
    "parent_name": ".TEAM ABJ S. R. O.",
    "pur_price": {
        "eur": 2464.7
    },
    "reseller_csn": "5100067385",
    "reseller_name": "Reseller AB",
    "reseller_site_id": "11111",
    "reseller_site_name": "Site AB",
    "sales_status": "NOT_CONTACTED",
    "srp_price": {
        "dkk": 20800,
        "eur": 2515,
        "nok": 31500,
        "sek": 31200
    },
    "subscription_end_date": "2022-09-27",
    "total_quantity": 1,
    "total_seats": 1
}

This endpoint retrieves a specific opportunity.

HTTP Request

GET /api/3/opportunities/:id/

URL Parameters

Parameter Description
id The ID of the opportunity to retrieve

Download All Opportunities

Get all Opportunities as a raw list

curl "https://{server}/api/3/opportunities/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/opportunities/-dump/

Subscriptions

Endpoints

GET /api/3/subscriptions/
GET /api/3/subscriptions/:id/
GET /api/3/subscriptions/-dump/

Subscription represents Autodesk commercial subscriptions. This includes Flex, Premium & Maintenance (end of life). Subscriptions may disappear after expire date, transfer, switch, or trade.

The Subscription Object

Attribute Type Description
id string Unique Identifier
subscription_id string Autodesk Subscription ID
serial_number string A Serial Number representing the Subscription
object string Object name subscription
status string Value of Subscription Status
sales_status string Value of Sales Status
start_date string Subscription start date
end_date string Subscription end date
opportunity_number string Autodesk Opportunity number
contract_number string Autodesk Contract #
contract_start_date string When contract was started
contract_end_date string When contract will expire unless renewed
contract_term integer Length of contract in months
contract_type string Contract Type
customer_csn string End Customer Autodesk CSN
customer_name string Name of End Customer
customer_country string Country of End Customer
customer_currency string Billing currency of End Customer
account_segment string Account Segment of End Customer
activation_type string Activation Type for Subscription
contract_manager_email string Email of Contract Manager
contract_manager_first_name string First name of Contract Manager
contract_manager_last_name string Last name of Contract Manager
contract_manager_phone string Phone of Contract Manager
deployment string Deployment for Subscription
access_model string Access model for Subscription (e.g. SINGLE_USER)
connectivity string Connectivity mode (e.g. ONLINE)
distributor_csn string Distributor Autodesk CSN
distributor_name string Name of Distributor
reseller_csn string Reseller Autodesk CSN
reseller_name string Name of Reseller
reseller_site_id string Reseller sub site id
reseller_site_name string Reseller sub site name
nurture_lock_date string Date when nurturing reseller will be determined
nurture_reseller string Nurture Reseller
parent_csn string End Customer Parent Autodesk CSN
parent_name string Name of End Customers Parent Account
premium_eligible bool Whether product eligible for premium subscription
primary_admin_email string Email of Primary Team Admin
primary_admin_first_name string First name of Primary Team Admin
primary_admin_last_name string Last name of Primary Team Admin
primary_admin_phone string Phone of Primary Team Admin
primary_admin_language string Language preference of Primary Team Admin
team_id string Autodesk Team ID
team_name string Name of Team, set by End Customer
product_line_code string Autodesk Product Line Code
short_product_line_desc string Description of Product Line
renewal_sku string Offers a link to product to determine options & prices
catalog_id string Product catalog identifier
description string Description of product
offering_id string Autodesk Offering ID
offering_code string Autodesk Offering Code
offering_name string Autodesk Offering Name
service_plan string Service plan type (e.g. STANDARD)
intended_usage string Intended usage (e.g. COMMERCIAL)
business_model string Business model (e.g. NXM, TRANSITION)
pricing_method string Pricing method (e.g. QUANTITY)
pur_price object Purchase Price object
srp_price object SRP, Price object
total_pur_price object Total Purchase Price object
total_srp_price object Total SRP, Price object
unit_price decimal Unit price in customer currency
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
purchaser_email string Email of Purchaser
purchaser_first_name string First name of Purchaser
purchaser_last_name string Last name of Purchaser
purchaser_phone string Phone of Purchaser
purchaser_language string Language preference of Purchaser
agent_email string Email of Agent
agent_first_name string First name of Agent
agent_last_name string Last name of Agent
quantity integer Number of items
seats integer Number of seats
auto_renew string Auto-renewal setting (ON, OFF, NA)
auto_renew_turn_off_reason string Reason auto-renew was turned off
billing_behavior string Billing behavior (e.g. RECURRING, RENEWABLE)
renewal_counter integer Number of times subscription has been renewed
special_program_discount_code string Special program discount code
health_score decimal Subscription health score (0-1)
ews_retention_risk_band string EWS retention risk band
ews_retention_score decimal EWS score between 0 and 1
quote_status string Status of associated quote (e.g. NOT_QUOTED)
quote_id string ID of associated quote
quote_number string Number of associated quote
quote_expiration_date string Expiration date of associated quote
last_updated string Date Time when object was last changed

List Subscriptions

List Subscriptions

curl "https://{server}/api/3/subscriptions/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "id": "72665879675745",
            "subscription_id": "72665879675745",
            "serial_number": null,
            "object": "subscription",
            "status": "ACTIVE",
            "sales_status": "NOT_CONTACTED",
            "start_date": "2024-09-18",
            "end_date": "2026-04-02",
            "opportunity_number": "A-30694627",
            "contract_number": null,
            "contract_start_date": "2024-09-18",
            "contract_end_date": "2026-04-02",
            "contract_term": 12,
            "contract_type": "SUBSCRIPTION",
            "customer_csn": "5501696753",
            "customer_name": "Customer Name",
            "customer_country": "Denmark",
            "customer_currency": "DKK",
            "account_segment": "TERRITORY",
            "activation_type": "SIGN_ON",
            "contract_manager_email": null,
            "contract_manager_first_name": null,
            "contract_manager_last_name": null,
            "contract_manager_phone": null,
            "deployment": "SINGLE_USER",
            "access_model": "SINGLE_USER",
            "connectivity": "ONLINE",
            "distributor_csn": "5501696753",
            "distributor_name": "Distributor Name",
            "reseller_csn": "5070188215",
            "reseller_name": "Reseller Name",
            "reseller_site_id": "50657",
            "reseller_site_name": "Reseller Site",
            "nurture_lock_date": "2026-01-02",
            "nurture_reseller": "NURTURE",
            "parent_csn": "5500582473",
            "parent_name": "Parent Company",
            "premium_eligible": false,
            "primary_admin_email": "admin@customer.com",
            "primary_admin_first_name": "First",
            "primary_admin_last_name": "Last",
            "primary_admin_phone": "+4520804605",
            "primary_admin_language": "da",
            "team_id": "48563816",
            "team_name": "Team Name",
            "product_line_code": "RVTLT",
            "short_product_line_desc": "Revit LT",
            "renewal_sku": "828I1-008433-L320",
            "catalog_id": "RVTLT-COM-S-A01-QTY",
            "description": "Revit LT Single",
            "offering_id": "OD-000279",
            "offering_code": "RVTLT",
            "offering_name": "Revit LT",
            "service_plan": "STANDARD",
            "intended_usage": "COMMERCIAL",
            "business_model": "NXM",
            "pricing_method": "QUANTITY",
            "pur_price": {
                "eur": 515
            },
            "srp_price": {
                "nok": 6030,
                "sek": 5670,
                "eur": 490,
                "dkk": 3845
            },
            "total_pur_price": {
                "eur": 515
            },
            "total_srp_price": {
                "nok": 6030,
                "sek": 5670,
                "eur": 490,
                "dkk": 3845
            },
            "unit_price": 3845,
            "account_manager_email": null,
            "account_manager_name": null,
            "account_admin_email": null,
            "account_admin_name": null,
            "purchaser_email": "purchaser@company.dk",
            "purchaser_first_name": "Purchaser",
            "purchaser_last_name": "Name",
            "purchaser_phone": "+4520804611",
            "purchaser_language": "da",
            "agent_email": null,
            "agent_first_name": null,
            "agent_last_name": null,
            "quantity": 1,
            "seats": 1,
            "auto_renew": "ON",
            "auto_renew_turn_off_reason": null,
            "billing_behavior": "RECURRING",
            "renewal_counter": 0,
            "special_program_discount_code": null,
            "health_score": 1,
            "ews_retention_risk_band": "NA",
            "ews_retention_score": null,
            "quote_status": "NOT_QUOTED",
            "quote_id": null,
            "quote_number": null,
            "quote_expiration_date": null,
            "last_updated": "2026-03-05T00:00:41.771Z"
        }
    ]
}

This endpoint retrieves all subscriptions.

HTTP Request

GET /api/3/subscriptions/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrieve a Subscription

Get a subscription based on ID

curl "https://{server}/api/3/subscriptions/72665879675745/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "id": "72665879675745",
    "subscription_id": "72665879675745",
    "serial_number": null,
    "object": "subscription",
    "status": "ACTIVE",
    "sales_status": "NOT_CONTACTED",
    "start_date": "2024-09-18",
    "end_date": "2026-04-02",
    "opportunity_number": "A-30694627",
    "contract_number": null,
    "contract_start_date": "2024-09-18",
    "contract_end_date": "2026-04-02",
    "contract_term": 12,
    "contract_type": "SUBSCRIPTION",
    "customer_csn": "5501696753",
    "customer_name": "Customer Name",
    "customer_country": "Denmark",
    "customer_currency": "DKK",
    "account_segment": "TERRITORY",
    "activation_type": "SIGN_ON",
    "contract_manager_email": null,
    "contract_manager_first_name": null,
    "contract_manager_last_name": null,
    "contract_manager_phone": null,
    "deployment": "SINGLE_USER",
    "access_model": "SINGLE_USER",
    "connectivity": "ONLINE",
    "distributor_csn": "5501696753",
    "distributor_name": "Distributor Name",
    "reseller_csn": "5070188215",
    "reseller_name": "Reseller Name",
    "reseller_site_id": "50657",
    "reseller_site_name": "Reseller Site",
    "nurture_lock_date": "2026-01-02",
    "nurture_reseller": "NURTURE",
    "parent_csn": "5500582473",
    "parent_name": "Parent Company",
    "premium_eligible": false,
    "primary_admin_email": "admin@customer.com",
    "primary_admin_first_name": "First",
    "primary_admin_last_name": "Last",
    "primary_admin_phone": "+4520804605",
    "primary_admin_language": "da",
    "team_id": "48563816",
    "team_name": "Team Name",
    "product_line_code": "RVTLT",
    "short_product_line_desc": "Revit LT",
    "renewal_sku": "828I1-008433-L320",
    "catalog_id": "RVTLT-COM-S-A01-QTY",
    "description": "Revit LT Single",
    "offering_id": "OD-000279",
    "offering_code": "RVTLT",
    "offering_name": "Revit LT",
    "service_plan": "STANDARD",
    "intended_usage": "COMMERCIAL",
    "business_model": "NXM",
    "pricing_method": "QUANTITY",
    "pur_price": {
        "eur": 515
    },
    "srp_price": {
        "nok": 6030,
        "sek": 5670,
        "eur": 490,
        "dkk": 3845
    },
    "total_pur_price": {
        "eur": 515
    },
    "total_srp_price": {
        "nok": 6030,
        "sek": 5670,
        "eur": 490,
        "dkk": 3845
    },
    "unit_price": 3845,
    "account_manager_email": null,
    "account_manager_name": null,
    "account_admin_email": null,
    "account_admin_name": null,
    "purchaser_email": "purchaser@company.dk",
    "purchaser_first_name": "Purchaser",
    "purchaser_last_name": "Name",
    "purchaser_phone": "+4520804611",
    "purchaser_language": "da",
    "agent_email": null,
    "agent_first_name": null,
    "agent_last_name": null,
    "quantity": 1,
    "seats": 1,
    "auto_renew": "ON",
    "auto_renew_turn_off_reason": null,
    "billing_behavior": "RECURRING",
    "renewal_counter": 0,
    "special_program_discount_code": null,
    "health_score": 1,
    "ews_retention_risk_band": "NA",
    "ews_retention_score": null,
    "quote_status": "NOT_QUOTED",
    "quote_id": null,
    "quote_number": null,
    "quote_expiration_date": null,
    "last_updated": "2026-03-05T00:00:41.771Z"
}

This endpoint retrieves a specific subscription.

HTTP Request

GET /api/3/subscriptions/:id/

URL Parameters

Parameter Description
id The ID of the subscription to retrieve

Download All Subscriptions

Get all Subscriptions as a raw list

curl "https://{server}/api/3/subscriptions/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/subscriptions/-dump/

Teams

Endpoints

GET /api/3/teams/
GET /api/3/teams/:id/
GET /api/3/teams/-dump/

A team has one Primary Team admin who may administrate one or several teams. A team may contain many Subscriptions, from different Accounts.

The Team Object

Attribute Type Description
id string Unique Identifier
object string Object name team
name string Team Name
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
parent_csn string Parent of account Autodesk CSN
parent_name string Name of Parent
primary_admin_email string Email of Primary Team Admin
primary_admin_first_name string First name of Primary Team Admin
primary_admin_last_name string Last name of Primary Team Admin
flex_additional_tokens number Tokens not supplied
flex_consumption_history array Array of token consumption per day
flex_consumption_rate_30 number Average tokens used per day, last 30 days
flex_is_last_supplier bool true if last Flex was supplied
flex_latest_end_date string End Date of latest flex subscription
flex_projected_days integer Numbers of days until projected end date
flex_projected_end_date string Date when tokens are estimated to run out. May be null
flex_purchased_tokens number Amount supplied Flex tokens
flex_start_date string Start Date of Flex subscription.
flex_tokens_balance number Current Flex token balance.
flex_tokens_consumption number Amount of consumed Flex tokens.
flex_total_tokens number Amount of purchased Flex tokens.
premium_delta number True up seat count
premium_eligible_seats number Number of the seats are elgible for premium subscription
premium_seats number Number of premium seats
product_seats number Number of product seats
seats number Number of seats
sold_seats number Number of sold seats
additional_seats number Number of additional seats
enable_refill_leads bool Whether refill leads are enabled for this team
next_end_date string Date of next upcoming subscription end date
last_updated string Date Time when object was last changed
latest_end_date string Date of latest end date subscription in team

List Teams

List Teams

curl "https://{server}/api/3/teams/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "account_admin_email": "manager@email.com",
            "account_admin_name": "Admin Name",
            "account_manager_email": "manager@email.com",
            "account_manager_name": "Manager Name",
            "flex_additional_tokens": 0,
            "flex_consumption_history": null,
            "flex_consumption_rate_30": 0,
            "flex_is_last_supplier": false,
            "flex_latest_end_date": null,
            "flex_projected_days": null,
            "flex_projected_end_date": null,
            "flex_purchased_tokens": 0,
            "flex_start_date": null,
            "flex_tokens_balance": 0,
            "flex_tokens_consumption": 0,
            "flex_total_tokens": 0,
            "id": "999999",
            "object": "team",
            "last_updated": "2022-08-23T04:03:00.338Z",
            "latest_end_date": null,
            "name": "Team Name - 1111",
            "parent_csn": "0000000000",
            "parent_name": "Parent Account Name",
            "premium_delta": 0,
            "premium_eligible_seats": 0,
            "premium_seats": 0,
            "primary_admin_email": "primaryadmin@email.com",
            "primary_admin_first_name": "Admin First Name",
            "primary_admin_last_name": "Admin Last Name",
            "product_seats": 1,
            "seats": 1
        }
    ]
}

This endpoint retrieves all accounts.

HTTP Request

GET /api/3/teams/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrive a Team

Get a Team based on it's identifier

curl "https://{server}/api/3/teams/999999/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "account_admin_email": "manager@email.com",
    "account_admin_name": "Admin Name",
    "account_manager_email": "manager@email.com",
    "account_manager_name": "Manager Name",
    "flex_additional_tokens": 0,
    "flex_consumption_history": null,
    "flex_consumption_rate_30": 0,
    "flex_is_last_supplier": false,
    "flex_latest_end_date": null,
    "flex_projected_days": null,
    "flex_projected_end_date": null,
    "flex_purchased_tokens": 0,
    "flex_start_date": null,
    "flex_tokens_balance": 0,
    "flex_tokens_consumption": 0,
    "flex_total_tokens": 0,
    "id": "999999",
    "object": "team",
    "last_updated": "2022-08-23T04:03:00.338Z",
    "latest_end_date": null,
    "name": "Team Name - 1111",
    "parent_csn": "0000000000",
    "parent_name": "Parent Account Name",
    "premium_delta": 0,
    "premium_eligible_seats": 0,
    "premium_seats": 0,
    "primary_admin_email": "primaryadmin@email.com",
    "primary_admin_first_name": "Admin First Name",
    "primary_admin_last_name": "Admin Last Name",
    "product_seats": 1,
    "seats": 1
}

This endpoint retrieves a specific account.

HTTP Request

GET /api/3/teams/:id/

URL Parameters

Parameter Description
id The ID of the Team to retrieve

Download All Teams

Get all Teams as a raw list

curl "https://{server}/api/3/teams/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/teams/-dump/

Articles

Endpoints

GET /api/3/articles/
GET /api/3/articles/:id/
GET /api/3/articles/-dump/

Article represents something that can be ordered (SKU / Item). An article comes complete with fields that describes when and how the article can be used, and how Autodesk attaches various classifiers. An article acts as a transition between subscription, order/transaction, and analytics. Some articles are not possible to order at a given time, for instance, outside opportunity window, retired end date, or date out of scope for a limited promotion. Article can yield a deeper understanding of customer assets and to explore available options for transactions or uplifting the business. Promo articles have a limited window of validity to make transactions/orders, defined by a unique article with a short range of days defined by a start and end date.

The Article Object

Attribute Type Description
id string Unique Identifier, same as SKU
object string Object name article
sku string SKU Unique Identifier for this Article
autodesk_material_description string Autodesk full description of Article
short_description string Short description of Article
full_description string Long description of Article
product_line_code string Value of Autodesk Product Line Code
product_line_desc string Description of Product Line
short_product_line_desc string Short description of Product Line
earnback_type string
support_type string Value of Support Type
deployment string Value of Deployment
contract_type string Contract Type
pack_size integer Number of seats per quantity
material_type string Value of Material Type
material_group string Value of Material Group
product_group string Value of Product Group
discount_classification string Autodesk framework classification, affects margins
language string deprecated, always null
media string Media of product, historic field
operating_system string Value of Operating System
product_status string Value of Product Status
product_sub_cat string Autodesk classifier
start_date string Start Date is first day SKU can be ordered
end_date string End Date is last day SKU can be ordered
product_release string Product Release description
contract_term integer Length of contract in months
promo_name string Name of promo, null equals not a promo
product_type string Autodesk Product Type
product_division string Value of Autodesk Product Division
supported_order_types array An list of Order Types which Article can be used for
links array Array of Article Links, useful for construting quote and order
icon_group string How we connect icon to product.
product_rewards_category string Autodesk Framework - Product Reward Category
minimum_purchase_requirement bool Autodesk Framework - Minimum Purchase Requirement
access_group string Autodesk Framework - Access Group
ppi_eligibility bool Autodesk Framework - PPI
pvi_eligibility bool Autodesk Framework - PVI
rpi_eligibility bool Autodesk Framework - RPI
premium_eligible_product_line bool Can premium subscription be attached to this Product Line
premium_eligible_sku bool Can premium subscription be attached to this Article
pur_price object Value of Purchase Price object
srp_price object Value of SRP Price object
td_part_number string TD SYNNEX part number
last_updated string Date Time when object was last changed.

Article Links

Article Links gives the ability to view options one has. If a Subscription X has renewal_sku that points to Product Y, we can then check the Product Links of Y to determine our options. E.g. This way one can determine what SKU to use to add a seat to an existing subscription.

Attribute Type Description
sku string SKU for linked Article
order_type string Value of Order Type. Type that is available for this Article
product_line_desc string Description of Product Line
short_description string Short description of Article
deployment string Value of Deployment
contract_term integer Length of contract in months
pack_size integer Number of seats per quantity
pur_price object Value of Purchase Price object
srp_price object Value of SRP Price object

List Articles

List Articles

curl "https://{server}/api/3/articles/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "access_group": "Primary",
            "autodesk_material_description": "3ds Max 2023 Commercial New Single-user ELD Annual Subscription",
            "contract_term": 12,
            "contract_type": "SUBSCRIPTION",
            "deployment": "SINGLE_USER",
            "discount_classification": "CAT-D - TYPE11",
            "earnback_type": "PPI",
            "end_date": null,
            "full_description": "3ds Max 2023 Single - Annual Subscription",
            "icon_group": "3DS",
            "language": null,
            "last_updated": "2022-09-06T19:29:32.526Z",
            "links": [
                {
                    "order_type": "RENEWAL",
                    "sku": "128F1-001355-L890",
                    "product_line_desc": "3ds Max",
                    "short_description": "3ds Max Single",
                    "deployment": "SINGLE_USER",
                    "contract_term": 12,
                    "pack_size": 1,
                    "pur_price": {
                        "eur": 1750
                    },
                    "srp_price": {
                        "dkk": 15000,
                        "eur": 1750,
                        "nok": 15000,
                        "sek": 15000
                    }
                },
                {
                    "order_type": "ADD_SEAT",
                    "sku": "128O1-WW3740-L562",
                    "product_line_desc": "3ds Max",
                    "short_description": "3ds Max 2023 Single",
                    "deployment": "SINGLE_USER",
                    "contract_term": 12,
                    "pack_size": 1,
                    "pur_price": {
                        "eur": 1750
                    },
                    "srp_price": {
                        "dkk": 15000,
                        "eur": 1750,
                        "nok": 15000,
                        "sek": 15000
                    }
                },
                {
                    "order_type": "INITIAL",
                    "sku": "128O1-WW3740-L562",
                    "product_line_desc": "3ds Max",
                    "short_description": "3ds Max 2023 Single",
                    "deployment": "SINGLE_USER",
                    "contract_term": 12,
                    "pack_size": 1,
                    "pur_price": {
                        "eur": 1750
                    },
                    "srp_price": {
                        "dkk": 15000,
                        "eur": 1750,
                        "nok": 15000,
                        "sek": 15000
                    }
                }
            ],
            "material_group": "SUBSCRIPTION",
            "material_type": "NEW",
            "media": "ELD",
            "minimum_purchase_requirement": true,
            "operating_system": "WIN",
            "pack_size": 1,
            "ppi_eligibility": true,
            "premium_eligible_product_line": true,
            "premium_eligible_sku": true,
            "product_division": "ME",
            "product_group": "ME",
            "product_line_code": "3DSMAX",
            "product_line_desc": "3ds Max",
            "product_release": "2023",
            "product_rewards_category": "Vertical",
            "product_status": "ACTIVE",
            "product_sub_cat": "D-COMTNA",
            "product_type": "STANDALONE",
            "promo_name": null,
            "pvi_eligibility": false,
            "rpi_eligibility": true,
            "short_description": "3ds Max 2023 Single",
            "short_product_line_desc": "3ds Max",
            "sku": "128O1-WW3740-L562",
            "pur_price": {
                "eur": 1750
            },
            "srp_price": {
                "dkk": 15000,
                "eur": 1750,
                "nok": 15000,
                "sek": 15000
            },
            "start_date": null,
            "support_type": "ADVANCED",
            "supported_order_types": [
                "INITIAL",
                "ADD_SEAT",
                "ADD_PRODUCT"
            ]
        }
    ]
}

This endpoint retrieves all products.

HTTP Request

GET /api/3/articles/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrive a Article

Get a Article based on SKU

curl "https://{server}/api/3/articles/128O1-WW3740-L562/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "access_group": "Primary",
    "autodesk_material_description": "3ds Max 2023 Commercial New Single-user ELD Annual Subscription",
    "contract_term": 12,
    "contract_type": "SUBSCRIPTION",
    "deployment": "SINGLE_USER",
    "discount_classification": "CAT-D - TYPE11",
    "earnback_type": "PPI",
    "end_date": null,
    "full_description": "3ds Max 2023 Single - Annual Subscription",
    "icon_group": "3DS",
    "language": null,
    "last_updated": "2022-09-06T19:29:32.526Z",
    "links": [
        {
            "order_type": "RENEWAL",
            "sku": "128F1-001355-L890",
            "product_line_desc": "3ds Max",
            "short_description": "3ds Max Single",
            "deployment": "SINGLE_USER",
            "contract_term": 12,
            "pack_size": 1,
            "pur_price": {
                "eur": 1750
            },
            "srp_price": {
                "dkk": 15000,
                "eur": 1750,
                "nok": 15000,
                "sek": 15000
            }
        },
        {
            "order_type": "ADD_SEAT",
            "sku": "128O1-WW3740-L562",
            "product_line_desc": "3ds Max",
            "short_description": "3ds Max 2023 Single",
            "deployment": "SINGLE_USER",
            "contract_term": 12,
            "pack_size": 1,
            "pur_price": {
                "eur": 1750
            },
            "srp_price": {
                "dkk": 15000,
                "eur": 1750,
                "nok": 15000,
                "sek": 15000
            }
        },
        {
            "order_type": "INITIAL",
            "sku": "128O1-WW3740-L562",
            "product_line_desc": "3ds Max",
            "short_description": "3ds Max 2023 Single",
            "deployment": "SINGLE_USER",
            "contract_term": 12,
            "pack_size": 1,
            "pur_price": {
                "eur": 1750
            },
            "srp_price": {
                "dkk": 15000,
                "eur": 1750,
                "nok": 15000,
                "sek": 15000
            }
        }
    ],
    "material_group": "SUBSCRIPTION",
    "material_type": "NEW",
    "media": "ELD",
    "minimum_purchase_requirement": true,
    "operating_system": "WIN",
    "pack_size": 1,
    "ppi_eligibility": true,
    "premium_eligible_product_line": true,
    "premium_eligible_sku": true,
    "product_division": "ME",
    "product_group": "ME",
    "product_line_code": "3DSMAX",
    "product_line_desc": "3ds Max",
    "product_release": "2023",
    "product_rewards_category": "Vertical",
    "product_status": "ACTIVE",
    "product_sub_cat": "D-COMTNA",
    "product_type": "STANDALONE",
    "promo_name": null,
    "pvi_eligibility": false,
    "rpi_eligibility": true,
    "short_description": "3ds Max 2023 Single",
    "short_product_line_desc": "3ds Max",
    "sku": "128O1-WW3740-L562",
    "pur_price": {
        "eur": 1750
    },
    "srp_price": {
        "dkk": 15000,
        "eur": 1750,
        "nok": 15000,
        "sek": 15000
    },
    "start_date": null,
    "support_type": "ADVANCED",
    "supported_order_types": [
        "INITIAL",
        "ADD_SEAT",
        "ADD_PRODUCT"
    ]
}

This endpoint retrieves a specific product.

HTTP Request

GET /api/3/articles/:id/

URL Parameters

Parameter Description
id The ID of the product to retrieve

Download All Articles

Get all Articles as a raw list

curl "https://{server}/api/3/articles/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/articles/-dump/

Product Catalog

Endpoints

GET /api/3/product-catalog/
GET /api/3/product-catalog/:id/
GET /api/3/product-catalog/-dump/

Product Catalog contains the available Autodesk offerings and their pricing. Each entry represents a specific product configuration with its service plan, term, and pricing in multiple currencies. The catalog is kept up to date with Autodesk's current offerings.

The Product Catalog Object

Attribute Type Description
id string Unique catalog item identifier
offering_id string Autodesk Offering ID
offering_code string Autodesk Offering Code
offering_name string Autodesk Offering Name
intended_usage string Intended usage (e.g. COMMERCIAL, NOT_FOR_RESALE)
catalog_action string Catalog action (e.g. NEW_RENEWAL)
access_model string Access model (e.g. SINGLE_USER)
life_cycle_state string Life cycle state (e.g. ACTIVE, END_OF_SALE)
service_plan string Service plan type (e.g. STANDARD, STANDARD_NO_SUPPORT)
pricing_method string Pricing method (e.g. QUANTITY)
connectivity string Connectivity mode (e.g. ONLINE)
term integer Subscription term length in months
srp_price object Suggested Retail Price, Price object
renewal_discount decimal Renewal discount percentage
service_duration_discount decimal Service duration discount percentage
volume_discounts array Volume discount tiers
special_program_code string Special program code
special_program_name string Special program name
last_updated string Date Time when object was last changed

List Product Catalog

List Product Catalog items

curl "https://{server}/api/3/product-catalog/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "id": "WKSXR-COM-S-A01-QTY",
            "offering_id": "OD-000614",
            "offering_code": "WKSXR",
            "offering_name": "Workshop XR",
            "intended_usage": "COMMERCIAL",
            "catalog_action": "NEW_RENEWAL",
            "access_model": "SINGLE_USER",
            "life_cycle_state": "ACTIVE",
            "service_plan": "STANDARD",
            "pricing_method": "QUANTITY",
            "connectivity": "ONLINE",
            "term": 12,
            "srp_price": {
                "nok": 12325,
                "sek": 11590,
                "eur": 1000,
                "dkk": 7860
            },
            "renewal_discount": 0,
            "service_duration_discount": 0,
            "volume_discounts": [],
            "special_program_code": null,
            "special_program_name": null,
            "last_updated": "2026-02-07T05:02:05.916Z"
        }
    ]
}

This endpoint retrieves all product catalog items.

HTTP Request

GET /api/3/product-catalog/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrieve a Product Catalog Item

Get a product catalog item based on ID

curl "https://{server}/api/3/product-catalog/WKSXR-COM-S-A01-QTY/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "id": "WKSXR-COM-S-A01-QTY",
    "offering_id": "OD-000614",
    "offering_code": "WKSXR",
    "offering_name": "Workshop XR",
    "intended_usage": "COMMERCIAL",
    "catalog_action": "NEW_RENEWAL",
    "access_model": "SINGLE_USER",
    "life_cycle_state": "ACTIVE",
    "service_plan": "STANDARD",
    "pricing_method": "QUANTITY",
    "connectivity": "ONLINE",
    "term": 12,
    "srp_price": {
        "nok": 12325,
        "sek": 11590,
        "eur": 1000,
        "dkk": 7860
    },
    "renewal_discount": 0,
    "service_duration_discount": 0,
    "volume_discounts": [],
    "special_program_code": null,
    "special_program_name": null,
    "last_updated": "2026-02-07T05:02:05.916Z"
}

This endpoint retrieves a specific product catalog item.

HTTP Request

GET /api/3/product-catalog/:id/

URL Parameters

Parameter Description
id The ID of the product catalog item to retrieve

Download All Product Catalog Items

Get all Product Catalog items as a raw list

curl "https://{server}/api/3/product-catalog/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/product-catalog/-dump/

Product Pools

Endpoints

GET /api/3/product_pools/-dump/

Product Pools represent aggregated product usage data per team and product line. Each pool tracks seat counts, usage metrics, and health scores for a specific product within a team.

The Product Pool Object

Attribute Type Description
id string Unique identifier (format: {team_id}-{product_line_code})
team_id string Autodesk Team ID
team_name string Name of Team
product_line_code string Autodesk Product Line Code
short_product_line_desc string Description of Product Line
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
primary_admin_email string Email of Primary Team Admin
primary_admin_first_name string First name of Primary Team Admin
primary_admin_last_name string Last name of Primary Team Admin
seats integer Number of seats
health_score decimal Product pool health score (0-1)
frequently_used integer Number of frequently used seats
under_used integer Number of under-used seats
not_used integer Number of unused seats
features array Array of feature service codes
customer_savings object Estimated customer savings, Price object
needed_tokens_to_replace integer Tokens needed to replace with Flex
next_end_date string Next subscription end date
last_updated string Date Time when object was last changed

Download All Product Pools

Get all Product Pools as a raw list

curl "https://{server}/api/3/product_pools/-dump/" \
  -H "Authorization: Bearer {access-token}"

The above command returns a JSON array of product pool objects:

[
    {
        "id": "9995307-COLLRP",
        "team_id": "9995307",
        "team_name": "Digital Design and Consultancy",
        "product_line_code": "COLLRP",
        "short_product_line_desc": "BIM Collaborate Pro",
        "account_admin_email": null,
        "account_admin_name": null,
        "account_manager_email": "manager@company.com",
        "account_manager_name": "Manager Name",
        "primary_admin_email": "admin@customer.com",
        "primary_admin_first_name": "First",
        "primary_admin_last_name": "Last",
        "seats": 6,
        "health_score": 1,
        "frequently_used": 6,
        "under_used": 0,
        "not_used": 0,
        "features": [
            "svc0000043",
            "svc0001163",
            "svc0000087"
        ],
        "customer_savings": {
            "eur": 0
        },
        "needed_tokens_to_replace": 0,
        "next_end_date": "2026-08-23",
        "last_updated": "2026-03-04T01:58:00.284Z"
    }
]

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/product_pools/-dump/

Refill Leads

Endpoints

GET /api/3/refill_leads/
GET /api/3/refill_leads/:id/
GET /api/3/refill_leads/-dump/
PATCH /api/3/refill_leads/:id/

Refill Leads represent Autodesk Flex token refill opportunities. A refill lead is generated when a customer's Flex token balance is running low based on consumption rate analysis. Leads can be acted upon by creating quotes, marking them as handled, or ignoring them.

The Refill Lead Object

Attribute Type Description
id string Unique identifier for the refill lead
object string Object name refill_lead
status string Value of Lead Status
account_manager_email string Email of Account Manager
account_manager_name string Name of Account Manager
account_admin_email string Email of Account Admin
account_admin_name string Name of Account Admin
customer_csn string End Customer Autodesk CSN
customer_name string Name of End Customer
reseller_site_id string Reseller sub site id
reseller_site_name string Reseller sub site name
team_id string Autodesk Team ID
team_name string Name of Team
parent_csn string End Customer Parent Autodesk CSN
parent_name string Name of End Customers Parent Account
primary_admin_email string Email of Primary Team Admin
primary_admin_first_name string First name of Primary Team Admin
primary_admin_last_name string Last name of Primary Team Admin
balance decimal Remaining Flex token balance as a ratio (0-1)
quantity integer Total number of Flex tokens for 1-year consumption
value object Estimated value of refill, Price object
end_date string Flex subscription end date
flex_consumption_rate_30 decimal Token consumption rate over the last 30 days (token/day)
flex_consumption_rate_180 decimal Token consumption rate over the last 180 days (token/day)
quote_id string ID of associated quote, if any
last_updated string Date Time when object was last changed

List Refill Leads

List Refill Leads

curl "https://{server}/api/3/refill_leads/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "count": 1,
    "items": [
        {
            "id": "rl1771635660426",
            "object": "refill_lead",
            "status": "OPEN",
            "account_manager_email": "manager@company.com",
            "account_manager_name": "Manager Name",
            "account_admin_email": null,
            "account_admin_name": null,
            "customer_csn": "5102682825",
            "customer_name": "Customer Name",
            "reseller_site_id": "50175",
            "reseller_site_name": "Reseller Site",
            "team_id": "42994886",
            "team_name": "Team Name",
            "parent_csn": "5104756589",
            "parent_name": "Parent Company",
            "primary_admin_email": "admin@customer.com",
            "primary_admin_first_name": "Primary",
            "primary_admin_last_name": "Admin",
            "balance": 0.227,
            "quantity": 21900,
            "value": {
                "eur": 61320.00
            },
            "end_date": "2026-11-11",
            "flex_consumption_rate_30": 59.8,
            "flex_consumption_rate_180": 34.63,
            "quote_id": null,
            "last_updated": "2026-03-04T01:00:35.817Z"
        }
    ]
}

This endpoint retrieves all refill leads.

HTTP Request

GET /api/3/refill_leads/

Query Parameters

Parameter Default Description
offset 0 After filter & sort, how many records should be skipped
limit 25 After filter, sort & offset how many records should be returned.
sort - Specify an optional sorting
filter - Specify an optional filter

Retrieve a Refill Lead

Get a refill lead based on ID

curl "https://{server}/api/3/refill_leads/rl1771635660426/" \
  -H "Authorization: Bearer {access-token}"

The above command returns JSON structured like this:

{
    "id": "rl1771635660426",
    "object": "refill_lead",
    "status": "OPEN",
    "account_manager_email": "manager@company.com",
    "account_manager_name": "Manager Name",
    "account_admin_email": null,
    "account_admin_name": null,
    "customer_csn": "5102682825",
    "customer_name": "Customer Name",
    "reseller_site_id": "50175",
    "reseller_site_name": "Reseller Site",
    "team_id": "42994886",
    "team_name": "Team Name",
    "parent_csn": "5104756589",
    "parent_name": "Parent Company",
    "primary_admin_email": "admin@customer.com",
    "primary_admin_first_name": "Primary",
    "primary_admin_last_name": "Admin",
    "balance": 0.227,
    "quantity": 21900,
    "value": {
        "eur": 61320.00
    },
    "end_date": "2026-11-11",
    "flex_consumption_rate_30": 59.8,
    "flex_consumption_rate_180": 34.63,
    "quote_id": null,
    "last_updated": "2026-03-04T01:00:35.817Z"
}

This endpoint retrieves a specific refill lead.

HTTP Request

GET /api/3/refill_leads/:id/

URL Parameters

Parameter Description
id The ID of the refill lead to retrieve

Update a Refill Lead

Update the status of a refill lead

curl "https://{server}/api/3/refill_leads/rl1771635660426/" \
  -X PATCH \
  -H "Authorization: Bearer {access-token}" \
  -H "Content-Type: application/json" \
  -d '{"status": "IGNORED"}'

The above command returns JSON structured like this:

{
    "status": "ok"
}

This endpoint updates the status of a refill lead. Setting the status to IGNORED will also disable refill leads for the associated team.

HTTP Request

PATCH /api/3/refill_leads/:id/

URL Parameters

Parameter Description
id The ID of the refill lead to update

Body Parameters

Parameter Type Description
status string New Lead Status. Currently only IGNORED is accepted.

Download All Refill Leads

Get all Refill Leads as a raw list

curl "https://{server}/api/3/refill_leads/-dump/" \
  -H "Authorization: Bearer {access-token}"

A fast way to download full data set. Bypasses filtering, sorting and pagination.

HTTP Request

GET /api/3/refill_leads/-dump/

Price Object

Price objects are consistently represented with this object when it is attached with a non-financial document. A financial object is denoted in one currency while other objects support several currencies. The currencies listed in price object depends on your solution setup. Each currency defined in solution setup is represented as a three-letter ISO currency code, in lowercase

Price Object Example

{
    "dkk": 15400,
    "eur": 1855,
    "gbp": 1855,
    "nok": 23200,
    "sek": 23000,
    "usd": 1855
}
Attribute Type Description
cur number Amount in currency

Enum

Some fields have a predefined list of possible values. Below we describe each field and the valid values that are currently possible. The reason for this section is mainly to offer some protection against sudden up stream changes while also being transparent with possible values.

Account Segment

Autodesk classification of customer account. Values may change as Autodesk updates their segmentation model.

Value Description
TERRITORY Territory
REGIONAL_ACCOUNT Regional Account
ENTERPRISE_ACCOUNT Enterprise Account
STRATEGIC_TERRITORY_MATURE Strategic Territory Mature
STRATEGIC_ACCOUNT Strategic Account
NA Represents not available or not applicable.

Account Status

Autodesk Account Status

Value Description
ACTIVE Active
OUT_OF_BUSINESS Out of Business
INACTIVE Inactive
NA Represents not availeble or not applicable.

Account Type

Value Description
DISTRIBUTOR VAD - Distributor of Autodesk
RESELLER VAR - Reseller of Autodesk
END_CUSTOMER End Customer, the default buyer of subscriptions.
PARENT Parent of other accounts, several End Customers may share parent and belong to the same company group.

Activation Type

How product is activated, Serial Number is the older type. Sign On is preffered since it offers compability with metrics & premium.

Value Description
SERIAL_NUMBER This subscription is activated by Serial Number
SIGN_ON This subscription is Sign On activated

Active Status

A classifier for easy filtration of active/inactive accounts and contacts.

Value Description
ACTIVE Entity has atleast one active subscription.
INACTIVE Entity has no currently active subscriptions.

Contract Type

Value Description
MAINTENANCE Maintenance contract, end of life.
SUBSCRIPTION Subscription contract
FLEX Flex contract
NA Represents not availeble or not applicable.

Deployment

Value Description
SINGLE_USER Single User per seat, requirement for sign on
MULTI_USER Multi User/Network license, retiring type.
FLEX Flex can be used by several assigned sign on users
NA Represents not availeble or not applicable.

GEO Market

Autodesk GEO Market

Value Description
EMEA Europe, Middle East, and Africa.
APAC Asia-Pacific
AMERICAS North & South America
NA Represents not availeble or not applicable.

Operating System

Operation System that article is supporting

Value Description
NA Represents "Not applicable"
WIN Software runs on Windows
MAC Sofware runs on Macintosh
LINUX Software runs on Linux
WIN_MAC Software runs on Windows and Macintosh
WIN_LINUX Software runs on Windows and Linux
MAC_LINUX Software runs on Macintosh and Linux
WIN_MAC_LINUX Software runs on Windows, Macintosh and Linux

Product Division

Represents the Product Division that an Article belongs to

Value Description
AEC Architecture, Engineering & Construction
HOR Horizontal Tier
ME Media & Entertainment
MFG Product Design & Manufacturing
OPEN Open Tier

Sales Region

Autodesk Sales Region

Value Description
ANZ Australia & New Zeeland
ASEAN The Association of Southeast Asian Nations
CANADA Canada
CENTRAL_EUROPE Central Europe
EMEA_EMERGING_COUNTRIES EMEA Emerging Countries
CHINA Greater China
INDIA India
JAPAN Japan
KOREA Korea
LATIN_AMERICA Latin America
NORTH_EUROPE North Europe
SOUTH_EUROPE South Europe
UNITED_STATES United States
NA Represents not availeble or not applicable.

Subscription Status

Can be used to filter out relevant subscriptions.

Value Description
ACTIVE Indicates that Subscription is between start and end date and can be used.
EXPIRED Indicates that Subscription has passed their end date.
INACTIVE Indicates that Subscription will become ACTIVE on start date.
CANCELED Indicates that Subscription has been canceled.
SUSPENDED Indicates that Subscription is temporarily suspended.
TERMINATED Indicates that Subscription has been terminated.

Sales Status

Value Description
NOT_CONTACTED Not Contacted
RENEWED_WITH_DIST Renewed - Placed with Distributor
RENEWED_WITH_RESELLER Renewed - Order with Reseller
RENEW_BUYING_AS_IS Renew - Buying As-Is
RENEW_PARTIAL_RENEWAL Renew – Partial Renewal
CHANGE_BOUGHT_NEW_SEAT Change - Bought New Seat
CHANGE_M2S_SWITCH Change - M2S Switch
DELAYED_SALES_PROCESS Delayed - Sales Process
DELAYED_STILL_INTRESTED Delayed – Still Interested
LOST_PARTIAL_RENEWAL Lost - Partial Renewal
LOST_COMPETITIVE_SOFTWARE Lost – Competitive Software
LOST_DOWNSIZING Lost - Downsizing
LOST_EU_DOESNT_EXIST Lost - EU Doesn’t Exist
LOST_NO_BUDGET Lost - No Budget
LOST_NO_FURTHER_NEED Lost - No Further Need
LOST_NO_VALUE Lost - No Value
LOST_TO_ADSK_RESELLER Lost - To Adsk Reseller
LOST_TO_AUTODESK Lost - To Autodesk
LOST_OTHER_REASON Lost - Other Reason
CONTACTED_QUOTED Contacted - Quoted
CONTACTED_QUOTED_PREPARED Contacted - Quote Prepared
CONTACTED_PREQUOTE_ACTIONS Contacted - Pre-quote Actions
PARTIAL_SWITCH Partial Switch

Lead Status

Represents the status of a Refill Lead.

Value Description
OPEN The lead is open and awaiting action
QUOTED A quote has been created for the lead
HANDLED The lead has been handled
FULFILLED The lead has been fulfilled
IGNORED The lead has been ignored, disables refill leads for the team
EXPIRED The lead has expired

Nurture Reseller

Value Description
NA Represents not available or not applicable
NURTURE Nurture
NOT_NURTURE Not Nurture

Contact Role

Value Description
CONTRACT_MANAGER Contract Manager
PRIMARY_TEAM_ADMIN Primary Team Admin
PRIMARY_TEAM_ADMIN_CONTRACT_MANAGER Primary Team Admin & Contract Manager

Autodesk Contact Status

Value Description
ACTIVE Active
REGISTERED Registered
INCOMPLETE_REGISTRATION Incomplete Registration
INACTIVE Inactive
NOT_AT_COMPANY Not at Company
DECEASED Deceased
OUT_OF_BUSINESS Out of Business
NA n/a

Product Group

Represents the Product Group that an Article belongs to. Values are managed by Autodesk and may change over time. Common values include:

Value Description
AEC AEC
AEC_PRE_CONSTRUCTION_DESIGN_PLANNING AEC/ Pre-Construction Design & Planning
AEC_PRODUCT_DESIGN_MFG AEC, Product Design & MFG
ADVANCED_MATERIALS_ANALYSIS Advanced Materials Analysis
ADVANCED_MATERIALS_ANALYSIS_CAM Advanced Materials Analysis & Computer Aided Manufacturing
ADVANCED_MILL_SIMULATION Advanced Mill Simulation
ADVANCED_TURN_SIMULATION Advanced Turn Simulation
ALL_SPECIALIZATIONS All Specializations
AUTOCAD AutoCAD
CAM Computer Aided Manufacturing
DESIGN_MANUFACTURING_CLOUD Design & Manufacturing Cloud
IDV ID&V
ME M&E
ME_PRODUCTION_MANAGEMENT M&E Production Management
OPEN Open
PLM PLM
PREMIUM_PLAN Premium Plan
PRE_CONSTRUCTION_DESIGN_PLANNING Pre-Construction Design & Planning
PRE_CONSTRUCTION_DESIGN_PLANNING_SITE_CONSTRUCTION_OPS Pre-Construction Design & Planning/ Site Construction & Operations
PRODUCT_DESIGN_MFG Product Design & MFG
PRODUCT_DESIGN_MFG_PLM Product Design & MFG/ PLM
SITE_CONSTRUCTION_OPS Site Construction & Operations
WATER_INFRASTRUCTURE Water Infrastructure

Terminology

This sections describes Autodesk terminology.

Account Admin

Account Admin is assigned at account level and is inherited to contract, opportunities, and subscriptions. Account Admin is intended to be used to show who, at the reseller site, is the administrator of the account (i.e. renewal process or customer mailing). This is assigned to account by patching an account or by using web interface.

Account Manager

Account Manager is assigned at account level and is inherited to contract, opportunities and subscriptions. Account Manager is intended to be used to show who, at the reseller site, is the sales person of the account. This is assigned to account by patching an account or by using web interface.

Contract Manager

Contract Manager is assigned per contract and tell us who at the End Customer is responsible for the Contract.

Contract Number

Contract number represent an unique identifier for an Autodesk Contract. An Autodesk contract is a collection of Autodesk subscriptions

Case

Autodesk Case is manual requests towards Autodesk made trough Autodesk Partner Center. Can be used for non-automated orders, data fixes, support etc.

CSN

CSN is an uniqie identifier representing an Autodesk Account.

Distributor

Autodesk Value Added Distributor (VAD). When transaction is direct reseller may be put in this field.

End Customer

Autodesk End Customer is the company that purchased the licenses.

Flex

Autodesk Flex is when End Customer may buy a set of tokens. The tokens are assigned to a team, Team Admin may assign a number of users to Flex. Flex users will then have access to Autodesk products part of Flex and tokens will be consumed each day a user activates the product.

Parent

Parent of other accounts, several accounts may share parent and belong to the same company group. Teams and subscriptions may be shared within the companies in the same group.

Product Line Code

Represents an unique id for an Autodesk product line. A product line contains multiple articles.

Reseller

Autodesk Value Added Reseller (VAR).

Reseller Site

Reseller Site is used to identify which office inside reseller manages the account relation. Usually relevant when a reseller wants to seperate different countries. This is assigned to account by patching an account or by using web interface.

Seats

A sign on seat my be assigned to a user who may then use connected subscription product. Seats may differ from quantity since quantity refers to quantity of an item or and order, the article in question might be a multi seat pack.

Serial Number

Serial Number is the unique identifier of a subscription, including maintenance and flex. A serial number is assigned to one contract that require a transaction or case to change and may also be assigned to one team, team assignment may be done by Team Admin without financial transactions. If subscription has several seats on the same serial number one may still only assign the serial number and its seats to one team.

Sign on

Sign on refers to how the user activates the product, a sign on user signs in with their autodesk user. Sign on are qualified for Premium Subscription & metrics can be collected.

SKU

A SKU represents an unique id for an Autodesk Article. Article represents the orderable item.

Suggested Retail Price

Suggested Retail Price (SRP).

Primary Team Admin

Team Admin/ Primary Team Admin/ PTA/ Primary Admin is an assigned administrator of one or many teams. Team admin may add and remove teams, assign subscriptions to teams and may assigned users to seats in teams.

True Up

Premium subscriptions needs to be aligned to connected subscriptions annualy. True Up is what Autodesk calls the process, it is usally done at Renewal.

Errors

API uses conventional HTTP response codes to indicate the success or failure of an API request. In general: Codes in the 2xx range indicate success. Codes in the 4xx range indicate an error that failed given the information provided (e.g., a required parameter was omitted, a charge failed, etc.). Codes in the 5xx range indicate an error server side.

The API uses the following HTTP Status codes:

Code Description
200 - OK Everything worked as expected.
400 - Bad Request The request was unacceptable, often due to missing a required parameter.
401 - Unauthorized Your authentication is invalid or expired.
403 - Forbidden The API key doesn't have permissions to perform the request.
404 - Not Found The requested resource doesn't exist.
405 - Method Not Allowed Target resource doesn't support this method.
500, 502, 503, 504 - Server Errors Something went wrong on our end, feel free to contact us.